package example.codes;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class ChangeSigner {

	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(MyInfo.API_KEY_SANDBOX, MyInfo.API_URL_SANDBOX);
		
		 DocumentPackage superDuperPackage = PackageBuilder.newPackageNamed("Change Signer Example")
	                .withSigner(SignerBuilder.newSignerWithEmail("mail32@mailinator.com")
	                        .withFirstName("John")
	                        .withLastName("Smith")
	                        .canChangeSigner())
	                .withDocument(DocumentBuilder.newDocumentWithName("First Document")
	                		.fromFile("C:/Users/hhaidary/Desktop/PDFs/doc1.pdf")
	                        .withSignature(SignatureBuilder.signatureFor("mail32@mailinator.com")
	                                .onPage(0)
	                                .atPosition(500, 100)))
	                .build();

	        PackageId packageId = eslClient.createPackage(superDuperPackage);
	        
	        eslClient.sendPackage(packageId);
	        
	        System.out.println(packageId);

	}

}
